%define rhv 0
%define rh7x 0
%if %{_vendor} == "redhat"
	%define         httpdroot       /var/www
	%define         myadmindir      %httpdroot/html/phpmyadmin
	%define         httpd_group     apache
	%define         suse_version    0
	%define         apache		apache
	%define		mysql_init	mysqld

	%define	rh_ver	%(rpm -q --queryformat %{VERSION} `rpm -q --whatprovides redhat-release`)
	%define	rhv	%(echo rh %{rh_ver} | tr -d '. ')
	%define	rh7x	%(echo %rhv | egrep -vq '^rh7'; echo $?)
	%define sw_rel	%rhv
%endif

%if ! %rh7x
	%define apache	httpd
%endif

%if %rh7x
	%define sw_rel	rh7x
%endif

%if %suse_version == 800
	%define         httpdroot       /usr/local/httpd
	%define         myadmindir      %httpdroot/htdocs/myadmin
	%define         httpd_group     nogroup
	%define		sw_rel		suse80
	%define         apache		apache
	%define		mysql_init	mysql
%endif
%if %suse_version == 810
	%define         httpdroot       /srv/www
	%define         myadmindir      %httpdroot/htdocs/myadmin
	%define         httpd_group     nogroup
	%define		sw_rel		suse81
	%define         apache		apache
	%define		mysql_init	mysql
%endif
%if %suse_version == 820
	%define         httpdroot       /srv/www
	%define         myadmindir      %httpdroot/htdocs/myadmin
	%define         httpd_group     nogroup
	%define		sw_rel		suse82
	%define         apache		apache2
	%define		mysql_init	mysql
%endif

%define sw_rel rh9

Summary: PhpMyAdmin is intended to handle the adminstration of MySQL over the web
Name:		phpmyadmin
Version:	2.5.4
Release:	1.intergenia
License:	GPL v2
Group:		Applications/Internet
Source0:	http://prdownloads.sourceforge.net/phpmyadmin/phpMyAdmin-%{version}-php.tar.bz2
Source1:	configure_phpmyadmin
Source2:	phpmyadmin_check_table.sql
Source3:	phpmyadmin_mysql_check.sql
Source4:	phpmyadmin_modify_tables.sql
Source5:	phpmyadmin_check_old_tables.sql
Source6:	phpmyadmin_check_old_tables_rename.sql
Source7:	phpmyadmin_rename_tables.sql
Patch2:		phpmyadmin-2.5.2-create_table_sql.patch
Patch3:		phpmyadmin-2.5.0-add_new_user.patch
Patch4:		phpmyadmin-2.5.2-call_mysql_spasswd.patch 
URL:		http://sourceforge.net/projects/phpmyadmin/
Vendor:		Intergenia AG
Packager:	Maik Broemme <mbroemme@plusserver.de>

%if %{_vendor} == "suse"
Requires:	mod_php4-core
%endif

%if %{_vendor} == "redhat"
Requires:	php-mysql
%endif

Requires:	%{apache}
Requires:	ed, grep, fileutils
Buildarch:	noarch
BuildRoot:	%{_tmppath}/phpMyAdmin-%{version}-root

%description
phpMyAdmin is intended to handle the adminstration
of MySQL over the web. Currently it can : create and
drop databases, create, copy, drop and alter tables,
delete, edit and add fields, execute any SQL-statement,
even batch-queries, manage keys on fields, load text
files into tables, create and read dumps of tables,
export data to CSV value, administer multiple servers
and single databases.

%prep
%setup -q -n phpMyAdmin-%{version}
%patch2 -p1
%patch3 -p1
%patch4 -p1

%install
rm -rf %buildroot

# remove all CVS dirs
find . -type d -name CVS | xargs rm -rf

mkdir -p $RPM_BUILD_ROOT%{myadmindir}
install *.css *.php *.html badwords.txt $RPM_BUILD_ROOT%{myadmindir}
install README ChangeLog LICENSE $RPM_BUILD_ROOT%{myadmindir}
cp -R css images lang libraries scripts $RPM_BUILD_ROOT%{myadmindir}

# Set Authentication method to cookie,
# and disable PmaAbsoluteUri warnings.
sed \
     -e "s/^\(\$cfg\['PmaAbsoluteUri_DisableWarning'\]\).*/\1 = TRUE;/" \
     -e "s/^\(\$cfg\['Servers'\]\[\$i\]\['auth_type'\][[:blank:]]*=[[:blank:]]*'\)config\('.*\)/\1cookie\2/" \
     config.inc.php > $RPM_BUILD_ROOT/%{myadmindir}/config.inc.php

sed \
     -e "s@^#!/usr/local/bin/perl@#!/usr/bin/perl@" \
     scripts/convertcfg.pl > $RPM_BUILD_ROOT/%{myadmindir}/scripts/convertcfg.pl

SRC1NAME=`basename %SOURCE1`
sed \
	-e "s#^\(PHPMYADMIN_DIR=\).*#\1\"%{myadmindir}\"#" \
	-e "s,root.apache,root.%{httpd_group},g" \
	-e "s,\/etc\/init.d\/mysqld,\/etc\/init.d\/%{mysql_init},g" \
	%SOURCE1 > $RPM_BUILD_ROOT/%{myadmindir}/scripts/${SRC1NAME}
chmod 755 $RPM_BUILD_ROOT/%{myadmindir}/scripts/${SRC1NAME}
install -p -m644 %SOURCE2 $RPM_BUILD_ROOT/%{myadmindir}/scripts/
install -p -m644 %SOURCE3 $RPM_BUILD_ROOT/%{myadmindir}/scripts/
install -p -m644 %SOURCE4 $RPM_BUILD_ROOT/%{myadmindir}/scripts/
install -p -m644 %SOURCE5 $RPM_BUILD_ROOT/%{myadmindir}/scripts/
install -p -m644 %SOURCE6 $RPM_BUILD_ROOT/%{myadmindir}/scripts/
install -p -m644 %SOURCE7 $RPM_BUILD_ROOT/%{myadmindir}/scripts/

%clean
rm -rf $RPM_BUILD_ROOT

%post

%if %suse_version == 800
    # enable php
    EDCMD=",s/^\(HTTPD_SEC_MOD_PHP=\).*/\\\1yes/\nwq\n"
    echo -e "$EDCMD" | ed -s /etc/sysconfig/apache
    SuSEconfig --module apache
    
    # add index.php in directory index
    CFG_FILE=/etc/httpd/httpd.conf
    if [ -f $CFG_FILE ]; then
        CFG_TEMP=`mktemp $CFG_FILE.XXXXXX`
        awk -f - << 'EOF' > $CFG_TEMP $CFG_FILE
/^[[:blank:]]*DirectoryIndex[[:blank:]]*.*/{
    if ( $0 !~ /index\.php/ ) {
        printf "%s index.php\n", $0;
	next;
    }
}
{
    print $0;
}
EOF
        if [ $? -eq 0 ]; then
            mv -f $CFG_TEMP $CFG_FILE && chmod 644 $CFG_FILE
        fi
    fi
    /etc/init.d/apache restart > /dev/null 2>&1
%endif

%if %suse_version == 820
if ! grep "^APACHE_MODULES=.*libphp4\.so" /etc/sysconfig/apache2 > /dev/null 2>&1; then
	echo -e ",s#^\(APACHE_MODULES=\"[^\"]*\)\"#\\\1 /usr/lib/apache2-prefork/libphp4.so\"#\nwq\n" | ed -s /etc/sysconfig/%{apache}
	/etc/init.d/apache2 try-restart > /dev/null 2>&1 || /bin/true
fi
%endif

%if %sw_rel == rh7x
	/etc/init.d/httpd restart > /dev/null 2>&1 || :
%endif


%files
%defattr(644,root,root,755)
%doc INSTALL TODO
%doc ANNOUNCE.txt CREDITS Documentation.txt RELEASE-DATE-%{version}
%dir %{myadmindir}
%attr(640,root,%{httpd_group}) %config(noreplace) %verify(not size mtime md5) %{myadmindir}/config.inc.php
%{myadmindir}/css
%{myadmindir}/images
%{myadmindir}/lang
%{myadmindir}/libraries
%{myadmindir}/badwords.txt
%{myadmindir}/*.html
# all but config.inc.php
%{myadmindir}/[^c]*.php
%{myadmindir}/c[^o]*.php
# FIXME: do we need the stuff below?
%{myadmindir}/README
%{myadmindir}/ChangeLog
%{myadmindir}/LICENSE
%dir %{myadmindir}/scripts
%attr(755,root,root) %{myadmindir}/scripts/configure_phpmyadmin
%{myadmindir}/scripts/*.sh
%{myadmindir}/scripts/*.pl
%{myadmindir}/scripts/*.sql
%{myadmindir}/scripts/*.php
%{myadmindir}/docs.css

%changelog
* Mon Dec 15 2003 Maik Broemme <mbroemme@plusserver.de> 2.5.4-1.intergenia
- Only changed for using with Confixx on RedHat 9

* Wed Nov 26 2003 Konstantin Volckov <wolf@sw.ru> 2.5.4-2.swsoft
- Fixed rh version detecting (support APSLinux)
- Fixed httpd restarting - added exit 0
- Fixed creating phpmyadmin mysql DB's (BUG #29646)
- Fixed fail case if root password is not set or wrong (BUG #27477)

* Tue Oct 21 2003 <krasnov@sw.ru> 2.5.4-1.swsoft
- updated to 2.5.4
- set sw_rel as rh7x for rh71, rh73 and as21
- httpd restart from post script for rh7x was added

* Sat Aug 23 2003 Kir Kolyshkin <kir@sw.ru> 2.5.2_pl1-4.swsoft
- fixed apache requirement for redhat9
- reverted release to contain rhxx

* Sat Aug 23 2003 Kir Kolyshkin <kir@sw.ru> 2.5.2_pl1-3.swsoft
- fixed version to contain pl1
- fixed release to be 'rhx' in case of RedHat
- fixed spec regarding pl1 issues
- added missing file docs.css

* Fri Aug 15 2003 <krasnov@sw.ru> 2.5.2-2.swsoft
- updated to 2.5.2-pl1 
 "This version contains only critical bugfixes over version 2.5.2, 
  and is believed to be the most stable version."

* Fri Jul 25 2003 Konstantin Volckov <wolf@sw.ru> 2.5.2-1.swsoft
- Upgraded to 2.5.2 (BUG #23944)
- Added loosed css files to rpm (BUG #24830)
- Fixed owner of config file in suse (BUG #24024)

* Sat Jun 28 2003 Konstantin Volckov <wolf@sw.ru> 2.5.1-3.swsoft
- Added workaround to VZFS (BUG #24024)

* Thu Jun 26 2003 Konstantin Volckov <wolf@sw.ru> 2.5.1-2.swsoft
- Updated configure_phpMyAdmin script to 2.5.1 version

* Wed Jun 25 2003 <krasnov@sw.ru> 2.5.1-1.swsoft
- updated to 2.5.1

* Wed May 21 2003 <krasnov@sw.ru> 2.5.0-2.swsoft
- post script fixed

* Wed May 21 2003 <krasnov@sw.ru> 2.5.0-1.swsoft
- updated to 2.5.0, patches applied
- defines for suse82 were added

* Tue Apr 15 2003 Konstantin Volckov <wolf@sw.ru> 2.4.0-11.swsoft
- Fixed call_mysql_spasswd patch (BUG #20113).

* Fri Apr 11 2003 Konstantin Volckov <wolf@sw.ru> 2.4.0-10.swsoft
- Added %{name}-2.4.0-call_mysql_spasswd.patch (BUG #20113). Now
  we call /usr/bin/mysql_spasswd script to save root password
  in /root/.my.cnf file.

* Fri Mar 28 2003 Konstantin Volckov <wolf@sw.ru> 2.4.0-9.swsoft
- Changed default auth_mode from http to cookie (BUG #20202)

* Wed Mar 26 2003 Konstantin Volckov <wolf@sw.ru> 2.4.0-8.swsoft
- Added patch for creation new user on localhost by default (#19995)

* Mon Mar 24 2003 krasnov@asplinux.ru 2.4.0-7.swsoft
- PHPMYADMIN_DIR variable in SOURCE1 fixed for suse
- in SOURCE1 fixed mysql checking for suse

* Mon Mar 24 2003 Konstantin Volckov <wolf@sw.ru> 2.4.0-5.swsoft
- Fixed sql script
- Added script for configuring phpMyadmin

* Wed Mar 19 2003 kir@sw.ru 2.4.0-4.swsoft
- rolled back change of 'localhost' to '127.0.0.1' in config made in prev. release

* Mon Mar 16 2003 Konstantin Volckov <wolf@sw.ru> 2.4.0-3.swsoft
- Fixed selecting default russian codepage from cp866 to 1251

* Fri Mar 14 2003 kir@sw.ru 2.4.0-1.swsoft
- moved to Virtuozzo/Packages/tmpl/third
- updated to 2.4.0
- various fixes/simplifications to .spec
- change mysql's server name from 'localhost' to '127.0.0.1'
  to prevent access as 'root'

* Thu Jan 23 2003 krasnov@sw.ru 2.3.3pl1-6.suse.swsoft/2.swsoft
- README ChangeLog LICENSE from doc to myadmindir moved

* Mon Jan 20 2003 krasnov@sw.ru 2.3.3pl1-5.suse.swsoft
- auth_type from config to http changed
- %files fixed
- scripts/convertcfg.pl fixed
- *.html to %{myadmindir} moved

* Sat Jan 18 2003 krasnov@sw.ru 2.3.3pl1-1.swsoft
- built with new source

* Wed Sep 18 2002 nus@sw.ru 2.2.7pl1-2.swsoft
- Check for user webadmin and add his hash to .htaccess too, if present

* Mon Sep 16 2002 nus@sw.ru 2.2.7pl1-1.swsoft
- Require: sed, grep, fileutils
- use the hostname for cfgPmaAbsoluteUri, if it's not set already.
- add .htacess file for basic HTTP authentication, and use root credentials
- remove the l17n fix patch, it's fixed in upstream
- 2.2.7-pl1

* Mon Aug 5 2002 nus@sw.ru 2.2.6-3.swsoft
- fix russian-koi8-r localisation
- fix russian-koi8-r localisation
- now really change the groupname

* Mon Aug 5 2002 nus@sw.ru 2.2.6-2.swsoft
- require apache instead of generic webserver
- use groupname apache, not http
- no need to require php and mysql separately, php-mysql does it

* Fri Aug 3 2002 nus@sw.ru
- overhaul the spec

* Mon Jun 10 2002 vova@sw.ru
- add application build tree and reference application

%ifnarch noarch

* Revision 1.16  2002.04.22 08:56:30  pioklo
- up to 2.2.6 ,STBR

* Revision 1.15  2002/03/23 10:43:49  kloczek
- updated to 2.2.4.

* Revision 1.14  2002/02/24 23:32:03  kloczek
- remove empty %build and simplifications in %install.

* Revision 1.13  2002/02/24 18:27:20  blues
- 2.2.4
  STBR

* Revision 1.12  2002/02/23 04:17:26  kloczek
- adapterized.

* Revision 1.11  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

* Revision 1.10  2002/01/18 02:14:36  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

* Revision 1.9  2002/01/11 09:08:56  tiwek
- added libraries/auth to files
- STBR

* Revision 1.8  2002/01/07 09:41:02  kloczek
- updated to 2.2.3 (bugfixes but also some improvements like remove require
  php-pcre module and some other importand thigs).

* Revision 1.7  2001/12/02 10:01:18  kloczek
- release 3.

* Revision 1.6  2001/11/28 16:24:57  orzech
- Requires: php-mysql (not php)

* Revision 1.5  2001/11/07 07:56:26  orzech
- rel. 2, STBR ASAP (security fix on config.inc.php)

* Revision 1.4  2001/11/07 07:48:33  orzech
- %attr(640,root,http) %verify(not size mtime md5) to config.inc.php -
  this file contains username/password, shouldnt be world-readable

* Revision 1.3  2001/11/07 01:19:56  kloczek
- removed http.http on all files,
- cosmetics.

* Revision 1.2  2001/11/01 14:44:59  blues
- 2.2.1
- License - GPL v2
- some changes in install and files
  STB - Security update

* Revision 1.1  2001/09/10 20:05:36  blues
- initial version

%endif
